window.__require = function t(e, r, o) {
function n(c, l) {
if (!r[c]) {
if (!e[c]) {
var s = c.split("/");
s = s[s.length - 1];
if (!e[s]) {
var u = "function" == typeof __require && __require;
if (!l && u) return u(s, !0);
if (i) return i(s, !0);
throw new Error("Cannot find module '" + c + "'");
}
}
var f = r[c] = {
exports: {}
};
e[c][0].call(f.exports, function(t) {
return n(e[c][1][t] || t);
}, f, f.exports, t, e, r, o);
}
return r[c].exports;
}
for (var i = "function" == typeof __require && __require, c = 0; c < o.length; c++) n(o[c]);
return n;
}({
HelloWorld: [ function(t, e, r) {
"use strict";
cc._RF.push(e, "280c3rsZJJKnZ9RqbALVwtK", "HelloWorld");
cc.Class({
extends: cc.Component,
properties: {
label: {
default: null,
type: cc.Label
},
text: "Hello, World!"
},
onLoad: function() {
this.label.string = this.text;
},
update: function(t) {},
showVideo: function() {
cc.sys.platform === cc.sys.ANDROID && jsb.reflection.callStaticMethod("org/cocos2dx/javascript/AppActivity", "showVideo", "()V");
}
});
cc._RF.pop();
}, {} ]
}, {}, [ "HelloWorld" ]);